%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Gets a file from a FTP, GOPHER or HTTP server
Name:		curl
Version:	7.18.0
Release:	%mkrel 1
Epoch:		1
License:	BSD-like
Group:		Networking/Other
URL:		http://curl.haxx.se
Source:		http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
Patch1:		curl-7.10.4-compat-location-trusted.patch
Patch2:		curl-7.17.1-badsocket.patch
Patch3:		curl-7.16.0-privlibs.patch
Patch4:		curl-7.15.3-multilib.patch
Provides:	webfetch
Requires:	%{libname} = %{epoch}:%{version}-%{release}
BuildRequires:	groff-for-man
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	libidn-devel
BuildRequires:	libssh2-devel
BuildRequires:	openldap-devel
BuildRequires:	krb5-devel
# (misc) required for testing
BuildRequires:	stunnel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
curl is a client to get documents/files from servers, using any of the
supported protocols. The command is designed to work without user
interaction or any kind of interactivity.

curl offers a busload of useful tricks like proxy support, user
authentication, ftp upload, HTTP post, file transfer resume and more.

This version is compiled with SSL (https) support.

%package -n %{libname}
Summary:	A library of functions for file transfer
Group:		Networking/Other
%if %mdkversion >= 200700
Requires:	rootcerts >= 1:20070713.00
%endif

%description -n %{libname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you plan to use any applications that
use libcurl.

%package -n %{develname}
Summary:	Header files and static libraries for libcurl
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libcurl%{major}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname %{name} 4 -d
Provides:	%mklibname %{name} 4 -d

%description -n %{develname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you wish to develop applications that
use libcurl.

%package examples
Summary:	Example files for %{name} development
Group:		Development/C
Requires:	%{develname} = %{epoch}:%{version}-%{release}

%description examples
Example files for %{name} development.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
./reconf

%configure2_5x \
	--with-ssl \
	--with-zlib \
	--with-libidn \
	--with-ssh2 \
	--with-random \
	--enable-hidden-symbols \
	--enable-nonblocking \
	--enable-thread \
	--enable-crypto-auth \
	--enable-libgcc \
	--enable-ldaps \
	--with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
	--with-gssapi=%{_prefix}
%make

# disable tests that want to connect/run sshd, which is quite impossible
%check
make test TEST_Q='-a -p !SCP !SFTP !SOCKS4 !SOCKS5'

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

rm -rf docs/examples/.libs
rm -rf docs/examples/.deps
rm -rf docs/examples/*.o

# (tpg) use rootcerts's certificates #35917
find %{buildroot} -name ca-bundle.crt -exec rm -f '{}' \;

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/curl
%{_mandir}/man1/curl.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%docdir docs/
%doc docs/BUGS docs/KNOWN_BUGS docs/CONTRIBUTE docs/FAQ CHANGES
%doc docs/FEATURES docs/RESOURCES docs/TODO docs/THANKS docs/INTERNALS
%{_bindir}/curl-config
%{multiarch_bindir}/curl-config
%{_libdir}/libcurl.so
%{_includedir}/curl
%{_libdir}/libcurl*a
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/curl-config.1*
%{_mandir}/man3/*

%files examples
%defattr(-,root,root,644)
%doc docs/examples


%changelog
* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 7.18.0-1mdv2008.1
+ Revision: 159627
- New version 7.18.0

* Wed Jan 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-9mdv2008.1
+ Revision: 157221
- sync with Fedora patches
- license is now BSD-like
- mark curl-config as a multiarch binary
- do not obsolete devel library by itself

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.com> 1:7.17.1-8mdv2008.1
+ Revision: 136160
- rebuild for new libldap

* Thu Dec 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1:7.17.1-7mdv2008.1
+ Revision: 135416
- fix deps (whoops!)
- use the correct syntax for the rootcerts dependency

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-6mdv2008.1
+ Revision: 119597
- move requires of rootcerts to the library
- compile with kerberos support
- add some options to the configure

* Thu Dec 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-5mdv2008.1
+ Revision: 119182
- enable OpenLDAP support (fixes bug #35919)
- use rootcerts certificates (fixes bug #35917)

* Wed Nov 14 2007 Funda Wang <fundawang@mandriva.org> 1:7.17.1-4mdv2008.1
+ Revision: 108624
- fix requirs of example package

* Mon Nov 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-3mdv2008.1
+ Revision: 106222
- rebuild for lzma permissions issue (#35309)
- manpages had wrong permissions due to lzma bug ##35309

* Fri Nov 02 2007 Funda Wang <fundawang@mandriva.org> 1:7.17.1-2mdv2008.1
+ Revision: 105095
- Merge spec changes from bug#35225 (run regression check when building)

* Mon Oct 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.1-1mdv2008.1
+ Revision: 103651
- new version

* Sat Oct 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.17.0-1mdv2008.1
+ Revision: 102482
- disable check, because they want to connect to or run sshd, and this is quite impossible in mdv's buildsystem (other tests are fine and passes)
- new version
- kill patches 2 and 6
- remove old patch entries
- remove libtoolize, use macros for configure script
- enable checks by default
- compile with unchanged optflags
- remove rpath
- move examples from devel package to its own
- all docs goes to devel package
- compile with support for libssh
- spec file clean

* Fri Aug 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.16.4-2mdv2008.0
+ Revision: 58744
- provide patch 6 (hopefully fixes bug #32261)

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.16.4-1mdv2008.0
+ Revision: 51466
- new version

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.16.3-1mdv2008.0
+ Revision: 44577
- new version
- new devel library policy
- spec file clean

* Mon May 21 2007 Jérôme Soyer <saispo@mandriva.org> 1:7.16.2-1mdv2008.0
+ Revision: 29220
- Sync
- Build without test


* Mon Apr 02 2007 Adam Williamson <awilliamson@mandriva.com> 7.16.0-9mdv2007.1
+ Revision: 150180
- fix patch5 (remove header change)
- bump release
- patch5 (CVS): fix -f with username / password in URL (fixes Club urpmi media with curl)

* Wed Feb 14 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1:7.16.0-8mdv2007.1
+ Revision: 120832
- fix tests (CVS)

* Sat Jan 13 2007 Olivier Blin <oblin@mandriva.com> 1:7.16.0-7mdv2007.1
+ Revision: 108344
- set magic number for easy handles (fix git-http-fetch with curl)
- bunzip2 patches

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix group

  + Pixel <pixel@mandriva.com>
    - fix group (#28147)

* Fri Dec 01 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.16.0-5mdv2007.1
+ Revision: 89669
- bump release
- one more provides for libcurl-devel

* Mon Nov 27 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.16.0-4mdv2007.1
+ Revision: 87654
- new release
- one more provides for the devel package

  + Michael Scherer <misc@mandriva.org>
    - move check in their own section %%check

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.16.0-3mdv2007.1
+ Revision: 86681
- final update to 7.16.0
- this is our default devel library now (7.16.0, soname 4)

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.15.5-3mdv2007.1
+ Revision: 86627
- drop devel provides for this version of libcurl: major
  4 is the next one
- include epoch in provides and requires also

  + Götz Waschk <waschk@mandriva.org>
    - fix file list

* Wed Nov 22 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.15.5-2mdv2007.1
+ Revision: 86445
- revert 7.16.0 update: we need libcurl.so.3 around for a while

  + Anssi Hannula <anssi@mandriva.org>
    - ensure library major correctness

* Wed Nov 22 2006 Pixel <pixel@mandriva.com> 7.16.0-2mdv2007.1
+ Revision: 86270
- library major is now 4 (libcurl.so.4)

* Wed Nov 22 2006 Jérôme Soyer <saispo@mandriva.org> 7.16.0-1mdv2007.1
+ Revision: 86135
- New release 7.16.0
- Import curl

* Fri Aug 18 2006 Jerome Soyer <saispo@mandriva.org> 7.15.5-1mdv2007.0
- New release 7.15.5

* Thu Jun 22 2006 Jerome Soyer <saispo@mandriva.org> 7.15.4-1mdv2007.0
- New release 7.15.4

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.3-1mdk
- New version 7.15.3

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.2-3mdk
- Add libidn in buildrequires

* Wed Mar 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.2-2mdk
- Skip test 252 for x86_64

* Tue Feb 28 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.2-1mdk
- 7.15.2
- Don't skip test 241

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 7.15.1-2mdk
- rebuilt to fix one /lib6464 issue in openssl-devel

* Wed Dec 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.1-1mdk
- New version 7.15.1

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 7.15.0-2mdk
- rebuilt against openssl-0.9.8a

* Fri Oct 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.0-1mdk
- 7.15.0
- Fix build issue on x86_64 (Oden)

* Tue Oct 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.14.1-1mdk
- New version
- Now OK with valgrind

* Wed May 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.14.0-2mdk
- Make curl require libcurl of same version
- Remove special case for test 517 on x86_64 and disable patch 2

* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.14.0-1mdk
- 7.14.0
- Force -O0 on CFLAGS, otherwise the produced executable segfaults

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.13.2-1mdk
- 7.13.2
- Remove patch 3, merged upstream

* Tue Mar 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.13.1-2mdk
- Patch 3: curl was writing Last-Modified-Since header to files downloaded
  from FTP with the -R option

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.13.1-1mdk
- New version.

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 7.13.0-2mdk
- 64-bit fixes in the testsuite for curl_getdate() with 64-bit time_t

* Tue Feb 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.13.0-1mdk
- New release
- Remove patch 2

* Mon Jan 31 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 7.12.3-2mdk
- patch2 (from cvs): fix segfault on ppc

* Mon Dec 20 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.3-1mdk
- New version
- Skip (new) test 241

* Mon Nov 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.2-1mdk
- New version 7.12.2
- Remove patch 0

* Wed Aug 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.1-1mdk
- New version 7.12.1

* Tue Jun 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.0-1mdk
- New version 7.12.0

* Mon May 24 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 7.11.2-2mdk
- use lib/progress.c from cvs to have working percentage of download
  to have it working in urpmi

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 7.11.2-1mdk
- New release 7.11.2
- remove not really documented oneliner

* Sat Apr 24 2004 Michael Scherer <misc@mandrake.org> 7.11.1-1mdk
- New release 7.11.1
- add BuildRequires

